# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 系统服务
### 登录

**请求URL:** login/login

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-
securityCode|String|校验码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"password":"123456",
"securityCode":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"登录成功",
"code":1,
"data":{

}
}

```

### 登出

**请求URL:** login/logout

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```


```

### 修改密码

**请求URL:** user/change/password

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户修改密码

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
oldPwd|String|用户加密后密码|是|-
newPwd|String|用户加密后新密码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"oldPwd":"123456",
"newPwd":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"修改密码成功",
"code":1,
"data":{}
}

```



### 获取验证码

**请求URL:** securitycode/createCode

**请求方式:** GET

**内容类型:** image/gif

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**



**响应消息样例:**
```

```


### 上传附件

**请求URL:** file/commonupload

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 用户上传附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|multipart|附件|是|-
prePath|String|附件存放相对路径|否|不填时候默认为/file/fileupload

**请求样例:**
```
http://127.0.0.1/file/commonupload?prePath=/file/fileupload
Content-Type: multipart/form-data; boundary=WebAppBoundary

--WebAppBoundary
Content-Disposition: form-data; name="file"; filename="1.excel"
Content-Type: multipart/form-data
```
**响应参数:**



**响应消息样例:**
```

```


## 纠错管理

### 查询纠错管理列表

**请求URL:** error/recovery/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询纠错管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
errorTitle|String|否|纠错标题,字段前后添加%%模糊查询
matterSite|String|否|事件位置,字段前后添加%%模糊查询
substance|String|否|具体内容,字段前后添加%%模糊查询
formalReply|String|否|建议答复,字段前后添加%%模糊查询
status|Integer|否|处理状态，0：未处理，1：已处理

**请求样例:**
```
  {
        "errorTitle":"cii47p",
        "matterSite":"rtjip2",
        "substance":"i3gkc1",
        "formalReply":"u1daw8",
        "status":2551,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;errorTitle|String|纠错标题
&emsp;&emsp;matterSite|String|事件位置
&emsp;&emsp;substance|String|具体内容
&emsp;&emsp;annexUrl|String|附件地址
&emsp;&emsp;formalReply|String|建议答复
&emsp;&emsp;submitUserId|Long|纠错用户id
&emsp;&emsp;submitUserName|String|纠错用户名称
&emsp;&emsp;submitDate|Date|提交时间
&emsp;&emsp;status|Integer|处理状态，0：未处理，1：已处理
&emsp;&emsp;answerUserId|Long|处理用户id
&emsp;&emsp;answerUserName|String|处理用户名称
&emsp;&emsp;answerDate|Date|处理时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看纠错管理

**请求URL:** error/recovery/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看纠错管理，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/error/recovery/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;errorTitle|String|纠错标题
&emsp;matterSite|String|事件位置
&emsp;substance|String|具体内容
&emsp;annexUrl|String|附件地址
&emsp;formalReply|String|建议答复
&emsp;submitUserId|Long|纠错用户id
&emsp;submitUserName|String|纠错用户名称
&emsp;submitDate|Date|提交时间
&emsp;status|Integer|处理状态，0：未处理，1：已处理
&emsp;answerUserId|Long|处理用户id
&emsp;answerUserName|String|处理用户名称
&emsp;answerDate|Date|处理时间
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9318,
            "siteId":4343,
            "errorTitle":"pylmf6",
            "matterSite":"acw4al",
            "substance":"uiu7ih",
            "annexUrl":"rg3gjq",
            "formalReply":"7p7ayo",
            "submitUserId":7570,
            "submitUserName":"dhfw7k",
            "submitDate":"2023-03-01",
            "status":2746,
            "answerUserId":6143,
            "answerUserName":"cqq1yi",
            "answerDate":"2023-03-01",
            "createUserId":3636,
            "createTime":"2023-03-01",
            "updateUserId":3711,
            "updateTime":"2023-03-01"
        }
}
```

### 保存更新纠错管理

**请求URL:** error/recovery/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新纠错管理：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点id
errorTitle|String|是|纠错标题
matterSite|String|否|事件位置
substance|String|否|具体内容
annexUrl|String|否|附件地址
formalReply|String|否|建议答复
submitUserId|Long|否|纠错用户id
submitUserName|String|否|纠错用户名称
submitDate|Date|是|提交时间
status|Integer|否|处理状态，0：未处理，1：已处理
answerUserId|Long|否|处理用户id
answerUserName|String|否|处理用户名称
answerDate|Date|否|处理时间

**请求样例:**
```
{
    "siteId":8374,
    "errorTitle":"1su3ib",
    "matterSite":"dmw0z7",
    "substance":"raxxk4",
    "annexUrl":"nkcq39",
    "formalReply":"ejs96r",
    "submitUserId":4570,
    "submitUserName":"9cv9lf",
    "submitDate":"2023-03-01",
    "status":1004,
    "answerUserId":4754,
    "answerUserName":"b87e4m",
    "answerDate":"2023-03-01",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;errorTitle|String|纠错标题
&emsp;&emsp;matterSite|String|事件位置
&emsp;&emsp;substance|String|具体内容
&emsp;&emsp;annexUrl|String|附件地址
&emsp;&emsp;formalReply|String|建议答复
&emsp;&emsp;submitUserId|Long|纠错用户id
&emsp;&emsp;submitUserName|String|纠错用户名称
&emsp;&emsp;submitDate|Date|提交时间
&emsp;&emsp;status|Integer|处理状态，0：未处理，1：已处理
&emsp;&emsp;answerUserId|Long|处理用户id
&emsp;&emsp;answerUserName|String|处理用户名称
&emsp;&emsp;answerDate|Date|处理时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除纠错管理

**请求URL:** error/recovery/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除纠错管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/error/recovery/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 纠错管理

### 查询纠错管理列表

**请求URL:** error/recovery/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询纠错管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
errorTitle|String|否|纠错标题,字段前后添加%%模糊查询
matterSite|String|否|事件位置,字段前后添加%%模糊查询
substance|String|否|具体内容,字段前后添加%%模糊查询
formalReply|String|否|建议答复,字段前后添加%%模糊查询
status|Integer|否|处理状态，0：未处理，1：已处理

**请求样例:**
```
  {
        "errorTitle":"rasjo1",
        "matterSite":"bsj6fq",
        "substance":"6shs6s",
        "formalReply":"9gc8mt",
        "status":3895,
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;errorTitle|String|纠错标题
&emsp;&emsp;matterSite|String|事件位置
&emsp;&emsp;matterName|String|关联事项名称
&emsp;&emsp;substance|String|具体内容
&emsp;&emsp;annexUrl|String|附件地址
&emsp;&emsp;formalReply|String|建议答复
&emsp;&emsp;submitUserId|Long|纠错用户id
&emsp;&emsp;submitUserName|String|纠错用户名称
&emsp;&emsp;submitDate|Date|提交时间
&emsp;&emsp;status|Integer|处理状态，0：未处理，1：已处理
&emsp;&emsp;answerUserId|Long|处理用户id
&emsp;&emsp;answerUserName|String|处理用户名称
&emsp;&emsp;answerDate|Date|处理时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看纠错管理

**请求URL:** error/recovery/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看纠错管理，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/error/recovery/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;errorTitle|String|纠错标题
&emsp;matterSite|String|事件位置
&emsp;matterName|String|关联事项名称
&emsp;substance|String|具体内容
&emsp;annexUrl|String|附件地址
&emsp;formalReply|String|建议答复
&emsp;submitUserId|Long|纠错用户id
&emsp;submitUserName|String|纠错用户名称
&emsp;submitDate|Date|提交时间
&emsp;status|Integer|处理状态，0：未处理，1：已处理
&emsp;answerUserId|Long|处理用户id
&emsp;answerUserName|String|处理用户名称
&emsp;answerDate|Date|处理时间
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7378,
            "siteId":2350,
            "errorTitle":"2ft8to",
            "matterSite":"oeabom",
            "matterName":"9f24wl",
            "substance":"2wvgzk",
            "annexUrl":"fdnwm2",
            "formalReply":"uywm36",
            "submitUserId":672,
            "submitUserName":"3g2sru",
            "submitDate":"2023-03-13",
            "status":9918,
            "answerUserId":9707,
            "answerUserName":"3tpe9b",
            "answerDate":"2023-03-13",
            "createUserId":1351,
            "createTime":"2023-03-13",
            "updateUserId":7985,
            "updateTime":"2023-03-13"
        }
}
```

### 保存更新纠错管理

**请求URL:** error/recovery/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新纠错管理：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点id
errorTitle|String|是|纠错标题
matterSite|String|否|事件位置
matterName|String|否|关联事项名称
substance|String|否|具体内容
annexUrl|String|否|附件地址
formalReply|String|否|建议答复
submitUserId|Long|否|纠错用户id
submitUserName|String|否|纠错用户名称
submitDate|Date|是|提交时间
status|Integer|否|处理状态，0：未处理，1：已处理
answerUserId|Long|否|处理用户id
answerUserName|String|否|处理用户名称
answerDate|Date|否|处理时间

**请求样例:**
```
{
    "siteId":2850,
    "errorTitle":"x804nb",
    "matterSite":"47ypzx",
    "matterName":"6k7eew",
    "substance":"ujrml2",
    "annexUrl":"978w1i",
    "formalReply":"gb1syu",
    "submitUserId":78,
    "submitUserName":"haktu7",
    "submitDate":"2023-03-13",
    "status":9235,
    "answerUserId":9461,
    "answerUserName":"4eueur",
    "answerDate":"2023-03-13",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;errorTitle|String|纠错标题
&emsp;&emsp;matterSite|String|事件位置
&emsp;&emsp;matterName|String|关联事项名称
&emsp;&emsp;substance|String|具体内容
&emsp;&emsp;annexUrl|String|附件地址
&emsp;&emsp;formalReply|String|建议答复
&emsp;&emsp;submitUserId|Long|纠错用户id
&emsp;&emsp;submitUserName|String|纠错用户名称
&emsp;&emsp;submitDate|Date|提交时间
&emsp;&emsp;status|Integer|处理状态，0：未处理，1：已处理
&emsp;&emsp;answerUserId|Long|处理用户id
&emsp;&emsp;answerUserName|String|处理用户名称
&emsp;&emsp;answerDate|Date|处理时间
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除纠错管理

**请求URL:** error/recovery/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除纠错管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/error/recovery/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 用户收藏夹

### 查询用户收藏夹列表

**请求URL:** user/collect/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询用户收藏夹

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
collectType|Integer|否|收藏类型1单事项2一件事
collectUrl|String|否|收藏链接,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "collectType":2829,
        "collectUrl":"7ff7di",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;userId|Long|用户id
&emsp;&emsp;collectType|Integer|收藏类型1单事项2一件事
&emsp;&emsp;collectName|String|收藏名称
&emsp;&emsp;collectUrl|String|收藏链接
&emsp;&emsp;businessId|String|收藏关联业务id
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看用户收藏夹

**请求URL:** user/collect/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看用户收藏夹，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/user/collect/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;userId|Long|用户id
&emsp;collectType|Integer|收藏类型1单事项2一件事
&emsp;collectName|String|收藏名称
&emsp;collectUrl|String|收藏链接
&emsp;businessId|String|收藏关联业务id
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":6811,
            "userId":577,
            "collectType":9984,
            "collectName":"6dcohq",
            "collectUrl":"dt32z2",
            "businessId":"q097a1",
            "createUserId":2185,
            "createTime":"2023-03-13",
            "updateUserId":8965,
            "updateTime":"2023-03-13"
        }
}
```

### 保存更新用户收藏夹

**请求URL:** user/collect/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新用户收藏夹：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
userId|Long|否|用户id
collectType|Integer|否|收藏类型1单事项2一件事
collectName|String|否|收藏名称
collectUrl|String|否|收藏链接
businessId|String|否|收藏关联业务id

**请求样例:**
```
{
    "userId":8437,
    "collectType":2174,
    "collectName":"88t7rs",
    "collectUrl":"j4xe33",
    "businessId":"961ezb",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;userId|Long|用户id
&emsp;&emsp;collectType|Integer|收藏类型1单事项2一件事
&emsp;&emsp;collectName|String|收藏名称
&emsp;&emsp;collectUrl|String|收藏链接
&emsp;&emsp;businessId|String|收藏关联业务id
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除用户收藏夹

**请求URL:** user/collect/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除用户收藏夹

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/user/collect/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 股室管理

### 查询股室管理列表

**请求URL:** dept/office/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询股室管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
officeName|String|否|股室名称,字段前后添加%%模糊查询

**请求样例:**
```
  {
        "officeName":"oepqqy",
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;officeName|String|股室名称
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看股室管理

**请求URL:** dept/office/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看股室管理，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/dept/office/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;siteId|Long|站点id
&emsp;deptId|Long|所属部门
&emsp;deptName|String|所属部门名称
&emsp;officeName|String|股室名称
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":1561,
            "siteId":7700,
            "deptId":5718,
            "deptName":"zbpf8o",
            "officeName":"fj8zds",
            "createUserId":629,
            "createTime":"2023-03-01",
            "updateUserId":9534,
            "updateTime":"2023-03-01"
        }
}
```

### 保存更新股室管理

**请求URL:** dept/office/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新股室管理：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
siteId|Long|否|站点id
deptId|Long|否|所属部门
deptName|String|否|所属部门名称
officeName|String|否|股室名称

**请求样例:**
```
{
    "siteId":9846,
    "deptId":2630,
    "deptName":"jkgkoi",
    "officeName":"48ejm7",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;siteId|Long|站点id
&emsp;&emsp;deptId|Long|所属部门
&emsp;&emsp;deptName|String|所属部门名称
&emsp;&emsp;officeName|String|股室名称
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除股室管理

**请求URL:** dept/office/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除股室管理

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/dept/office/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 字典附录
