package com.mortals.xhx.common.utils;

import com.alibaba.fastjson.JSON;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.site.model.SiteTreeSelect;
import com.mortals.xhx.module.site.service.SiteService;
import com.mortals.xhx.utils.SpringUtils;
import lombok.AllArgsConstructor;
import lombok.extern.apachecommons.CommonsLog;
import lombok.extern.slf4j.Slf4j;
import org.springframework.util.ObjectUtils;

import java.util.List;

/**
 * @author: zxfei
 * @date: 2022/4/13 13:34
 * @description:
 **/
@AllArgsConstructor
@Slf4j
public class SyncTreeSiteThread implements Runnable {

    private Context context;

    @Override
    public void run() {
        SiteService siteService = SpringUtils.getBean(SiteService.class);
        List<SiteTreeSelect> siteTreeSelects = siteService.siteTree(context);
        siteService.setSiteTree(siteTreeSelects, context);
        log.info("刷新用户站点树=》userID:{} siteIds:{} siteTree:{}",context.getUser().getId(),context.getUser().getSiteIds(), JSON.toJSONString(siteService.getSiteTree(context)));
    }

}
