package com.mortals.xhx.module.error.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.error.model.ErrorRecoveryEntity;
/**
 * 纠错管理查询对象
 *
 * @author zxfei
 * @date 2023-03-13
 */
public class ErrorRecoveryQuery extends ErrorRecoveryEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** 纠错标题 */
    private List<String> errorTitleList;

    /** 纠错标题排除列表 */
    private List <String> errorTitleNotList;
    /** 事件位置 */
    private List<String> matterSiteList;

    /** 事件位置排除列表 */
    private List <String> matterSiteNotList;
    /** 关联事项名称 */
    private List<String> matterNameList;

    /** 关联事项名称排除列表 */
    private List <String> matterNameNotList;
    /** 具体内容 */
    private List<String> substanceList;

    /** 具体内容排除列表 */
    private List <String> substanceNotList;
    /** 附件地址 */
    private List<String> annexUrlList;

    /** 附件地址排除列表 */
    private List <String> annexUrlNotList;
    /** 建议答复 */
    private List<String> formalReplyList;

    /** 建议答复排除列表 */
    private List <String> formalReplyNotList;
    /** 开始 纠错用户id */
    private Long submitUserIdStart;

    /** 结束 纠错用户id */
    private Long submitUserIdEnd;

    /** 增加 纠错用户id */
    private Long submitUserIdIncrement;

    /** 纠错用户id列表 */
    private List <Long> submitUserIdList;

    /** 纠错用户id排除列表 */
    private List <Long> submitUserIdNotList;

    /** 纠错用户名称 */
    private List<String> submitUserNameList;

    /** 纠错用户名称排除列表 */
    private List <String> submitUserNameNotList;
    /** 开始 提交时间 */
    private String submitDateStart;

    /** 结束 提交时间 */
    private String submitDateEnd;

    /** 开始 处理状态，0：未处理，1：已处理 */
    private Integer statusStart;

    /** 结束 处理状态，0：未处理，1：已处理 */
    private Integer statusEnd;

    /** 增加 处理状态，0：未处理，1：已处理 */
    private Integer statusIncrement;

    /** 处理状态，0：未处理，1：已处理列表 */
    private List <Integer> statusList;

    /** 处理状态，0：未处理，1：已处理排除列表 */
    private List <Integer> statusNotList;

    /** 开始 处理用户id */
    private Long answerUserIdStart;

    /** 结束 处理用户id */
    private Long answerUserIdEnd;

    /** 增加 处理用户id */
    private Long answerUserIdIncrement;

    /** 处理用户id列表 */
    private List <Long> answerUserIdList;

    /** 处理用户id排除列表 */
    private List <Long> answerUserIdNotList;

    /** 处理用户名称 */
    private List<String> answerUserNameList;

    /** 处理用户名称排除列表 */
    private List <String> answerUserNameNotList;
    /** 开始 处理时间 */
    private String answerDateStart;

    /** 结束 处理时间 */
    private String answerDateEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ErrorRecoveryQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ErrorRecoveryQuery> andConditionList;

    public ErrorRecoveryQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 纠错标题
     * @return errorTitleList
     */
    public List<String> getErrorTitleList(){
        return this.errorTitleList;
    }

    /**
     * 设置 纠错标题
     * @param errorTitleList
     */
    public void setErrorTitleList(List<String> errorTitleList){
        this.errorTitleList = errorTitleList;
    }

    /**
     * 获取 纠错标题
     * @return errorTitleNotList
     */
    public List<String> getErrorTitleNotList(){
        return this.errorTitleNotList;
    }

    /**
     * 设置 纠错标题
     * @param errorTitleNotList
     */
    public void setErrorTitleNotList(List<String> errorTitleNotList){
        this.errorTitleNotList = errorTitleNotList;
    }

    /**
     * 获取 事件位置
     * @return matterSiteList
     */
    public List<String> getMatterSiteList(){
        return this.matterSiteList;
    }

    /**
     * 设置 事件位置
     * @param matterSiteList
     */
    public void setMatterSiteList(List<String> matterSiteList){
        this.matterSiteList = matterSiteList;
    }

    /**
     * 获取 事件位置
     * @return matterSiteNotList
     */
    public List<String> getMatterSiteNotList(){
        return this.matterSiteNotList;
    }

    /**
     * 设置 事件位置
     * @param matterSiteNotList
     */
    public void setMatterSiteNotList(List<String> matterSiteNotList){
        this.matterSiteNotList = matterSiteNotList;
    }

    /**
     * 获取 关联事项名称
     * @return matterNameList
     */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
     * 设置 关联事项名称
     * @param matterNameList
     */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }

    /**
     * 获取 关联事项名称
     * @return matterNameNotList
     */
    public List<String> getMatterNameNotList(){
        return this.matterNameNotList;
    }

    /**
     * 设置 关联事项名称
     * @param matterNameNotList
     */
    public void setMatterNameNotList(List<String> matterNameNotList){
        this.matterNameNotList = matterNameNotList;
    }

    /**
     * 获取 具体内容
     * @return substanceList
     */
    public List<String> getSubstanceList(){
        return this.substanceList;
    }

    /**
     * 设置 具体内容
     * @param substanceList
     */
    public void setSubstanceList(List<String> substanceList){
        this.substanceList = substanceList;
    }

    /**
     * 获取 具体内容
     * @return substanceNotList
     */
    public List<String> getSubstanceNotList(){
        return this.substanceNotList;
    }

    /**
     * 设置 具体内容
     * @param substanceNotList
     */
    public void setSubstanceNotList(List<String> substanceNotList){
        this.substanceNotList = substanceNotList;
    }

    /**
     * 获取 附件地址
     * @return annexUrlList
     */
    public List<String> getAnnexUrlList(){
        return this.annexUrlList;
    }

    /**
     * 设置 附件地址
     * @param annexUrlList
     */
    public void setAnnexUrlList(List<String> annexUrlList){
        this.annexUrlList = annexUrlList;
    }

    /**
     * 获取 附件地址
     * @return annexUrlNotList
     */
    public List<String> getAnnexUrlNotList(){
        return this.annexUrlNotList;
    }

    /**
     * 设置 附件地址
     * @param annexUrlNotList
     */
    public void setAnnexUrlNotList(List<String> annexUrlNotList){
        this.annexUrlNotList = annexUrlNotList;
    }

    /**
     * 获取 建议答复
     * @return formalReplyList
     */
    public List<String> getFormalReplyList(){
        return this.formalReplyList;
    }

    /**
     * 设置 建议答复
     * @param formalReplyList
     */
    public void setFormalReplyList(List<String> formalReplyList){
        this.formalReplyList = formalReplyList;
    }

    /**
     * 获取 建议答复
     * @return formalReplyNotList
     */
    public List<String> getFormalReplyNotList(){
        return this.formalReplyNotList;
    }

    /**
     * 设置 建议答复
     * @param formalReplyNotList
     */
    public void setFormalReplyNotList(List<String> formalReplyNotList){
        this.formalReplyNotList = formalReplyNotList;
    }

    /**
     * 获取 开始 纠错用户id
     * @return submitUserIdStart
     */
    public Long getSubmitUserIdStart(){
        return this.submitUserIdStart;
    }

    /**
     * 设置 开始 纠错用户id
     * @param submitUserIdStart
     */
    public void setSubmitUserIdStart(Long submitUserIdStart){
        this.submitUserIdStart = submitUserIdStart;
    }

    /**
     * 获取 结束 纠错用户id
     * @return $submitUserIdEnd
     */
    public Long getSubmitUserIdEnd(){
        return this.submitUserIdEnd;
    }

    /**
     * 设置 结束 纠错用户id
     * @param submitUserIdEnd
     */
    public void setSubmitUserIdEnd(Long submitUserIdEnd){
        this.submitUserIdEnd = submitUserIdEnd;
    }

    /**
     * 获取 增加 纠错用户id
     * @return submitUserIdIncrement
     */
    public Long getSubmitUserIdIncrement(){
        return this.submitUserIdIncrement;
    }

    /**
     * 设置 增加 纠错用户id
     * @param submitUserIdIncrement
     */
    public void setSubmitUserIdIncrement(Long submitUserIdIncrement){
        this.submitUserIdIncrement = submitUserIdIncrement;
    }

    /**
     * 获取 纠错用户id
     * @return submitUserIdList
     */
    public List<Long> getSubmitUserIdList(){
        return this.submitUserIdList;
    }

    /**
     * 设置 纠错用户id
     * @param submitUserIdList
     */
    public void setSubmitUserIdList(List<Long> submitUserIdList){
        this.submitUserIdList = submitUserIdList;
    }

    /**
     * 获取 纠错用户id
     * @return submitUserIdNotList
     */
    public List<Long> getSubmitUserIdNotList(){
        return this.submitUserIdNotList;
    }

    /**
     * 设置 纠错用户id
     * @param submitUserIdNotList
     */
    public void setSubmitUserIdNotList(List<Long> submitUserIdNotList){
        this.submitUserIdNotList = submitUserIdNotList;
    }


    /**
     * 获取 纠错用户名称
     * @return submitUserNameList
     */
    public List<String> getSubmitUserNameList(){
        return this.submitUserNameList;
    }

    /**
     * 设置 纠错用户名称
     * @param submitUserNameList
     */
    public void setSubmitUserNameList(List<String> submitUserNameList){
        this.submitUserNameList = submitUserNameList;
    }

    /**
     * 获取 纠错用户名称
     * @return submitUserNameNotList
     */
    public List<String> getSubmitUserNameNotList(){
        return this.submitUserNameNotList;
    }

    /**
     * 设置 纠错用户名称
     * @param submitUserNameNotList
     */
    public void setSubmitUserNameNotList(List<String> submitUserNameNotList){
        this.submitUserNameNotList = submitUserNameNotList;
    }

    /**
     * 获取 开始 提交时间
     * @return submitDateStart
     */
    public String getSubmitDateStart(){
        return this.submitDateStart;
    }

    /**
     * 设置 开始 提交时间
     * @param submitDateStart
     */
    public void setSubmitDateStart(String submitDateStart){
        this.submitDateStart = submitDateStart;
    }

    /**
     * 获取 结束 提交时间
     * @return submitDateEnd
     */
    public String getSubmitDateEnd(){
        return this.submitDateEnd;
    }

    /**
     * 设置 结束 提交时间
     * @param submitDateEnd
     */
    public void setSubmitDateEnd(String submitDateEnd){
        this.submitDateEnd = submitDateEnd;
    }

    /**
     * 获取 开始 处理状态，0：未处理，1：已处理
     * @return statusStart
     */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
     * 设置 开始 处理状态，0：未处理，1：已处理
     * @param statusStart
     */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
     * 获取 结束 处理状态，0：未处理，1：已处理
     * @return $statusEnd
     */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
     * 设置 结束 处理状态，0：未处理，1：已处理
     * @param statusEnd
     */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
     * 获取 增加 处理状态，0：未处理，1：已处理
     * @return statusIncrement
     */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
     * 设置 增加 处理状态，0：未处理，1：已处理
     * @param statusIncrement
     */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
     * 获取 处理状态，0：未处理，1：已处理
     * @return statusList
     */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
     * 设置 处理状态，0：未处理，1：已处理
     * @param statusList
     */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
     * 获取 处理状态，0：未处理，1：已处理
     * @return statusNotList
     */
    public List<Integer> getStatusNotList(){
        return this.statusNotList;
    }

    /**
     * 设置 处理状态，0：未处理，1：已处理
     * @param statusNotList
     */
    public void setStatusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
    }


    /**
     * 获取 开始 处理用户id
     * @return answerUserIdStart
     */
    public Long getAnswerUserIdStart(){
        return this.answerUserIdStart;
    }

    /**
     * 设置 开始 处理用户id
     * @param answerUserIdStart
     */
    public void setAnswerUserIdStart(Long answerUserIdStart){
        this.answerUserIdStart = answerUserIdStart;
    }

    /**
     * 获取 结束 处理用户id
     * @return $answerUserIdEnd
     */
    public Long getAnswerUserIdEnd(){
        return this.answerUserIdEnd;
    }

    /**
     * 设置 结束 处理用户id
     * @param answerUserIdEnd
     */
    public void setAnswerUserIdEnd(Long answerUserIdEnd){
        this.answerUserIdEnd = answerUserIdEnd;
    }

    /**
     * 获取 增加 处理用户id
     * @return answerUserIdIncrement
     */
    public Long getAnswerUserIdIncrement(){
        return this.answerUserIdIncrement;
    }

    /**
     * 设置 增加 处理用户id
     * @param answerUserIdIncrement
     */
    public void setAnswerUserIdIncrement(Long answerUserIdIncrement){
        this.answerUserIdIncrement = answerUserIdIncrement;
    }

    /**
     * 获取 处理用户id
     * @return answerUserIdList
     */
    public List<Long> getAnswerUserIdList(){
        return this.answerUserIdList;
    }

    /**
     * 设置 处理用户id
     * @param answerUserIdList
     */
    public void setAnswerUserIdList(List<Long> answerUserIdList){
        this.answerUserIdList = answerUserIdList;
    }

    /**
     * 获取 处理用户id
     * @return answerUserIdNotList
     */
    public List<Long> getAnswerUserIdNotList(){
        return this.answerUserIdNotList;
    }

    /**
     * 设置 处理用户id
     * @param answerUserIdNotList
     */
    public void setAnswerUserIdNotList(List<Long> answerUserIdNotList){
        this.answerUserIdNotList = answerUserIdNotList;
    }


    /**
     * 获取 处理用户名称
     * @return answerUserNameList
     */
    public List<String> getAnswerUserNameList(){
        return this.answerUserNameList;
    }

    /**
     * 设置 处理用户名称
     * @param answerUserNameList
     */
    public void setAnswerUserNameList(List<String> answerUserNameList){
        this.answerUserNameList = answerUserNameList;
    }

    /**
     * 获取 处理用户名称
     * @return answerUserNameNotList
     */
    public List<String> getAnswerUserNameNotList(){
        return this.answerUserNameNotList;
    }

    /**
     * 设置 处理用户名称
     * @param answerUserNameNotList
     */
    public void setAnswerUserNameNotList(List<String> answerUserNameNotList){
        this.answerUserNameNotList = answerUserNameNotList;
    }

    /**
     * 获取 开始 处理时间
     * @return answerDateStart
     */
    public String getAnswerDateStart(){
        return this.answerDateStart;
    }

    /**
     * 设置 开始 处理时间
     * @param answerDateStart
     */
    public void setAnswerDateStart(String answerDateStart){
        this.answerDateStart = answerDateStart;
    }

    /**
     * 获取 结束 处理时间
     * @return answerDateEnd
     */
    public String getAnswerDateEnd(){
        return this.answerDateEnd;
    }

    /**
     * 设置 结束 处理时间
     * @param answerDateEnd
     */
    public void setAnswerDateEnd(String answerDateEnd){
        this.answerDateEnd = answerDateEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public ErrorRecoveryQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public ErrorRecoveryQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public ErrorRecoveryQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public ErrorRecoveryQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public ErrorRecoveryQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public ErrorRecoveryQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点id
     * @param siteId
     */
    public ErrorRecoveryQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public ErrorRecoveryQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public ErrorRecoveryQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public ErrorRecoveryQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public ErrorRecoveryQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public ErrorRecoveryQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 纠错标题
     * @param errorTitle
     */
    public ErrorRecoveryQuery errorTitle(String errorTitle){
        setErrorTitle(errorTitle);
        return this;
    }

    /**
     * 设置 纠错标题
     * @param errorTitleList
     */
    public ErrorRecoveryQuery errorTitleList(List<String> errorTitleList){
        this.errorTitleList = errorTitleList;
        return this;
    }


    /**
     * 设置 事件位置
     * @param matterSite
     */
    public ErrorRecoveryQuery matterSite(String matterSite){
        setMatterSite(matterSite);
        return this;
    }

    /**
     * 设置 事件位置
     * @param matterSiteList
     */
    public ErrorRecoveryQuery matterSiteList(List<String> matterSiteList){
        this.matterSiteList = matterSiteList;
        return this;
    }


    /**
     * 设置 关联事项名称
     * @param matterName
     */
    public ErrorRecoveryQuery matterName(String matterName){
        setMatterName(matterName);
        return this;
    }

    /**
     * 设置 关联事项名称
     * @param matterNameList
     */
    public ErrorRecoveryQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
        return this;
    }


    /**
     * 设置 具体内容
     * @param substance
     */
    public ErrorRecoveryQuery substance(String substance){
        setSubstance(substance);
        return this;
    }

    /**
     * 设置 具体内容
     * @param substanceList
     */
    public ErrorRecoveryQuery substanceList(List<String> substanceList){
        this.substanceList = substanceList;
        return this;
    }


    /**
     * 设置 附件地址
     * @param annexUrl
     */
    public ErrorRecoveryQuery annexUrl(String annexUrl){
        setAnnexUrl(annexUrl);
        return this;
    }

    /**
     * 设置 附件地址
     * @param annexUrlList
     */
    public ErrorRecoveryQuery annexUrlList(List<String> annexUrlList){
        this.annexUrlList = annexUrlList;
        return this;
    }


    /**
     * 设置 建议答复
     * @param formalReply
     */
    public ErrorRecoveryQuery formalReply(String formalReply){
        setFormalReply(formalReply);
        return this;
    }

    /**
     * 设置 建议答复
     * @param formalReplyList
     */
    public ErrorRecoveryQuery formalReplyList(List<String> formalReplyList){
        this.formalReplyList = formalReplyList;
        return this;
    }

    /**
     * 设置  纠错用户id
     * @param submitUserId
     */
    public ErrorRecoveryQuery submitUserId(Long submitUserId){
        setSubmitUserId(submitUserId);
        return this;
    }

    /**
     * 设置 开始 纠错用户id
     * @param submitUserIdStart
     */
    public ErrorRecoveryQuery submitUserIdStart(Long submitUserIdStart){
        this.submitUserIdStart = submitUserIdStart;
        return this;
    }

    /**
     * 设置 结束 纠错用户id
     * @param submitUserIdEnd
     */
    public ErrorRecoveryQuery submitUserIdEnd(Long submitUserIdEnd){
        this.submitUserIdEnd = submitUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 纠错用户id
     * @param submitUserIdIncrement
     */
    public ErrorRecoveryQuery submitUserIdIncrement(Long submitUserIdIncrement){
        this.submitUserIdIncrement = submitUserIdIncrement;
        return this;
    }

    /**
     * 设置 纠错用户id
     * @param submitUserIdList
     */
    public ErrorRecoveryQuery submitUserIdList(List<Long> submitUserIdList){
        this.submitUserIdList = submitUserIdList;
        return this;
    }

    /**
     * 设置 纠错用户id
     * @param submitUserIdNotList
     */
    public ErrorRecoveryQuery submitUserIdNotList(List<Long> submitUserIdNotList){
        this.submitUserIdNotList = submitUserIdNotList;
        return this;
    }


    /**
     * 设置 纠错用户名称
     * @param submitUserName
     */
    public ErrorRecoveryQuery submitUserName(String submitUserName){
        setSubmitUserName(submitUserName);
        return this;
    }

    /**
     * 设置 纠错用户名称
     * @param submitUserNameList
     */
    public ErrorRecoveryQuery submitUserNameList(List<String> submitUserNameList){
        this.submitUserNameList = submitUserNameList;
        return this;
    }


    /**
     * 设置  处理状态，0：未处理，1：已处理
     * @param status
     */
    public ErrorRecoveryQuery status(Integer status){
        setStatus(status);
        return this;
    }

    /**
     * 设置 开始 处理状态，0：未处理，1：已处理
     * @param statusStart
     */
    public ErrorRecoveryQuery statusStart(Integer statusStart){
        this.statusStart = statusStart;
        return this;
    }

    /**
     * 设置 结束 处理状态，0：未处理，1：已处理
     * @param statusEnd
     */
    public ErrorRecoveryQuery statusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
        return this;
    }

    /**
     * 设置 增加 处理状态，0：未处理，1：已处理
     * @param statusIncrement
     */
    public ErrorRecoveryQuery statusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
        return this;
    }

    /**
     * 设置 处理状态，0：未处理，1：已处理
     * @param statusList
     */
    public ErrorRecoveryQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
        return this;
    }

    /**
     * 设置 处理状态，0：未处理，1：已处理
     * @param statusNotList
     */
    public ErrorRecoveryQuery statusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
        return this;
    }

    /**
     * 设置  处理用户id
     * @param answerUserId
     */
    public ErrorRecoveryQuery answerUserId(Long answerUserId){
        setAnswerUserId(answerUserId);
        return this;
    }

    /**
     * 设置 开始 处理用户id
     * @param answerUserIdStart
     */
    public ErrorRecoveryQuery answerUserIdStart(Long answerUserIdStart){
        this.answerUserIdStart = answerUserIdStart;
        return this;
    }

    /**
     * 设置 结束 处理用户id
     * @param answerUserIdEnd
     */
    public ErrorRecoveryQuery answerUserIdEnd(Long answerUserIdEnd){
        this.answerUserIdEnd = answerUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 处理用户id
     * @param answerUserIdIncrement
     */
    public ErrorRecoveryQuery answerUserIdIncrement(Long answerUserIdIncrement){
        this.answerUserIdIncrement = answerUserIdIncrement;
        return this;
    }

    /**
     * 设置 处理用户id
     * @param answerUserIdList
     */
    public ErrorRecoveryQuery answerUserIdList(List<Long> answerUserIdList){
        this.answerUserIdList = answerUserIdList;
        return this;
    }

    /**
     * 设置 处理用户id
     * @param answerUserIdNotList
     */
    public ErrorRecoveryQuery answerUserIdNotList(List<Long> answerUserIdNotList){
        this.answerUserIdNotList = answerUserIdNotList;
        return this;
    }


    /**
     * 设置 处理用户名称
     * @param answerUserName
     */
    public ErrorRecoveryQuery answerUserName(String answerUserName){
        setAnswerUserName(answerUserName);
        return this;
    }

    /**
     * 设置 处理用户名称
     * @param answerUserNameList
     */
    public ErrorRecoveryQuery answerUserNameList(List<String> answerUserNameList){
        this.answerUserNameList = answerUserNameList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public ErrorRecoveryQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public ErrorRecoveryQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public ErrorRecoveryQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public ErrorRecoveryQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public ErrorRecoveryQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public ErrorRecoveryQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public ErrorRecoveryQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public ErrorRecoveryQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public ErrorRecoveryQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public ErrorRecoveryQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public ErrorRecoveryQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public ErrorRecoveryQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<ErrorRecoveryQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<ErrorRecoveryQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<ErrorRecoveryQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<ErrorRecoveryQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}