package com.mortals.xhx.module.error.service.impl;
import com.mortals.xhx.common.utils.StringUtils;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.error.dao.ErrorRecoveryDao;
import com.mortals.xhx.module.error.model.ErrorRecoveryEntity;
import com.mortals.xhx.module.error.service.ErrorRecoveryService;

import java.util.Date;

/**
* ErrorRecoveryService
* 纠错管理 service实现
*
* @author zxfei
* @date 2023-03-01
*/
@Service("errorRecoveryService")
public class ErrorRecoveryServiceImpl extends AbstractCRUDServiceImpl<ErrorRecoveryDao, ErrorRecoveryEntity, Long> implements ErrorRecoveryService {

    @Override
    protected void saveBefore(ErrorRecoveryEntity entity, Context context) throws AppException {
        entity.setSubmitDate(new Date());
        if(context!=null && context.getUser()!=null) {
            entity.setSubmitUserId(context.getUser().getId());
            entity.setSubmitUserName(context.getUser().getRealName());
        }
        super.saveBefore(entity, context);
    }

    @Override
    protected void updateBefore(ErrorRecoveryEntity entity, Context context) throws AppException {
        if(StringUtils.isNotEmpty(entity.getFormalReply())){
            entity.setStatus(1);
            if(context!=null && context.getUser()!=null) {
                entity.setAnswerUserId(context.getUser().getId());
                entity.setAnswerUserName(context.getUser().getRealName());
            }
            entity.setAnswerDate(new Date());
        }
        super.updateBefore(entity,context);
    }
}