package com.mortals.xhx.module.site.service.impl;
import com.mortals.framework.model.PageInfo;
import com.mortals.xhx.module.matter.model.MatterDatumEntity;
import com.mortals.xhx.module.matter.model.MatterDatumFileEntity;
import com.mortals.xhx.module.matter.model.MatterDatumFileQuery;
import com.mortals.xhx.module.matter.model.MatterDatumQuery;
import com.mortals.xhx.module.matter.service.MatterDatumService;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.site.dao.SiteMatterDao;
import com.mortals.xhx.module.site.model.SiteMatterEntity;
import com.mortals.xhx.module.site.service.SiteMatterService;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
* SiteMatterService
* 站点事项 service实现
*
* @author zxfei
* @date 2023-03-10
*/
@Service("siteMatterService")
public class SiteMatterServiceImpl extends AbstractCRUDServiceImpl<SiteMatterDao, SiteMatterEntity, Long> implements SiteMatterService {

    @Autowired
    private MatterDatumService matterDatumService;

    @Override
    protected void findAfter(SiteMatterEntity params, PageInfo pageInfo, Context context, List<SiteMatterEntity> list) throws AppException {
        list.stream().peek(item->{
            List<MatterDatumEntity> matterDatumFileEntities = matterDatumService.find(new MatterDatumQuery().matterId(item.getMatterId()));
            if(CollectionUtils.isNotEmpty(matterDatumFileEntities)) {
                item.setDatumCount(matterDatumFileEntities.size());
            }else {
                item.setDatumCount(0);
            }
        }).count();
        super.findAfter(params, context, list);
    }

    @Override
    protected void findAfter(SiteMatterEntity params, Context context, List<SiteMatterEntity> list) throws AppException {
        list.stream().peek(item->{
            List<MatterDatumEntity> matterDatumFileEntities = matterDatumService.find(new MatterDatumQuery().matterId(item.getMatterId()));
            if(CollectionUtils.isNotEmpty(matterDatumFileEntities)) {
                item.setDatumCount(matterDatumFileEntities.size());
            }else {
                item.setDatumCount(0);
            }
        }).count();
        super.findAfter(params, context, list);
    }

    @Override
    public void addViewsCount(Long id) {
        Map<String,Object> data = new HashMap<>();
        data.put("viewsCountIncrement",1);
        Map<String,Object> condition = new HashMap<>();
        condition.put("id",id);
        dao.update(data,condition);
    }
}